Download it now!
Bug 129525 - FILESAVE: DOCX: Some page's numbers in TOC are lost after RT
Summary: FILESAVE: DOCX: Some page's numbers in TOC are lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: low normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.4....
Keywords: bibisected, regression
Depends on:
Blocks: DOCX-TableofContents
  Show dependency treegraph
 
Reported: 2019-12-20 15:50 UTC by Xisco Faulí
Modified: 2020-04-20 15:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (253.88 KB, application/rtf)
2019-12-20 15:50 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-20 15:50:28 UTC
Created attachment 156699 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .DOCX
3. Open the new created document

-> Page's numbers from 3 to 13 are missing

reproduced in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 2 Timur 2019-12-24 09:57:01 UTC
Can be seen both in MSO and LO.
Can be avoided if ToC updated before save or after fileopen of saved DOCX.
Comment 3 Commit Notification 2020-01-15 09:40:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f761059b8c8ffe4e7b6e28924898ba71ee6b9ea8

tdf#129525 writerfilter: ignore GOTOBUTTON field

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2020-01-15 09:41:40 UTC
fixed on master
Comment 5 Commit Notification 2020-01-15 15:51:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/bdd17d4dd5c51d563c5f866e69c47e458b3851b6

tdf#129525 writerfilter: ignore GOTOBUTTON field

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-01-15 17:37:28 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b8f02637131fcfa499a6397914fdf4687c88053d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-01-16 09:20:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/9b39977e4133d4430f0969115902a6fd1fac91f2

tdf#129525 writerfilter: ignore GOTOBUTTON field

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-04-20 15:08:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/58fc2e2f48219ab4898a126ac8f936edfdbbfcbc

tdf#129525: sw: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.